# $Revision: 1.15 $, $Date: 2009/03/29 15:48:23 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_with	tests		# run tests (takes long time)
%bcond_with	java_sun	# build with java-sun

%if "%{pld_release}" == "ti"
%define	with_java_sun	1
%endif

%include	/usr/lib/rpm/macros.java

%define		srcname	commons-io
Summary:	Commons IO component for Java servlets
Summary(pl.UTF-8):	Komponent Commons IO dla serwletów Javy
Name:		java-commons-io
Version:	1.4
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/io/source/commons-io-%{version}-src.tar.gz
# Source0-md5:	24b228f2d0c40ffed9204cdab015bccf
URL:		http://commons.apache.org/io/
BuildRequires:	ant
%{?with_tests:BuildRequires:	ant-junit >= 1.5}
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
%{?with_tests:BuildRequires:	junit >= 3.8.1}
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	jakarta-commons-io
Obsoletes:	jakarta-commons-io
Obsoletes:	jakarta-commons-io-doc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons IO is a library of utilities to assist with developing I/O
functionality.

%description -l pl.UTF-8
Commons IO to biblioteka narzędzi pomagających przy rozwijaniu
funkcjonalności I/O.

%package javadoc
Summary:	Online manual for Commons IO
Summary(pl.UTF-8):	Dokumentacja online do Commons IO
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-io-javadoc

%description javadoc
Documentation for Commons IO.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons IO.

%description javadoc -l fr.UTF-8
Javadoc pour Commons IO.

%prep
%setup -q -n commons-io-%{version}-src

%build
# for tests
%ant jar %{?with_javadoc:javadoc}

%if %{with tests}
JUNITJAR=$(find-jar junit)
%ant -Djunit.jar=$JUNITJAR test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

cp -a target/commons-io-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf commons-io-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-io.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a target/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-io.spec,v $
Revision 1.15  2009/03/29 15:48:23  pawelz
- unified jdk bconds
- dropped "export SHELL=/bin/sh" (no longer needed, fixed in gjdoc.spec)

Revision 1.14  2009/02/10 13:03:50  pawelz
- use %%srcname macro
- correct dir for javadoc

Revision 1.13  2009/02/10 10:20:23  pawelz
- rel 2

Revision 1.12  2009/02/09 21:11:09  pawelz
- added bcond tests
- BRs

Revision 1.11  2009/02/09 19:40:59  pawelz
- dependencies
- use java-gcj for build

Revision 1.10  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.9  2009/01/23 17:18:58  pawelz
- there is no such package "java-servletapi". BR servletapi provided by
  java-servletapi5.spec

Revision 1.8  2009/01/23 17:07:30  pawelz
- s/jakarta-servletapi/java-servletapi/

Revision 1.7  2008/12/26 01:42:40  pawelz
- it is no longer part of Jakarta project
- file renamed from jakarta-commons-io.spec

Revision 1.6  2008/10/03 19:29:43  glen
- javadeps

Revision 1.5  2008/10/03 19:16:19  glen
- update to 1.4

Revision 1.4  2007/04/16 15:34:06  qboosh
- pl desc

Revision 1.3  2007/04/11 15:48:02  baggins
- builds

Revision 1.2  2007/04/11 15:42:06  baggins
- updated md5

Revision 1.1  2007/04/11 15:41:14  baggins
- initial revision
